import { ApolloServer } from 'apollo-server-fastify';
import fastify from 'fastify';
import { DocumentNode } from 'graphql';
export declare type StringOrAst = string | DocumentNode;
export declare type TestClientConfig = {
    apolloServer: ApolloServer;
    requestOptions?: fastify.HTTPInjectOptions;
};
export declare type SetOptionsFn = (options: {
    requestOptions?: fastify.HTTPInjectOptions;
}) => void;
declare type Query = {
    query: StringOrAst;
    mutation?: undefined;
    variables?: {
        [name: string]: any;
    };
    operationName?: string;
};
declare type Mutation = {
    mutation: StringOrAst;
    query?: undefined;
    variables?: {
        [name: string]: any;
    };
    operationName?: string;
};
export interface ApolloServerTestClient {
    query: (query: Query) => Promise<fastify.HTTPInjectResponse>;
    mutate: (mutation: Mutation) => Promise<fastify.HTTPInjectResponse>;
    setOptions: SetOptionsFn;
}
export declare function createTestClient({ apolloServer, requestOptions, }: TestClientConfig): ApolloServerTestClient;
export {};
